Skip to navigation

Exclude Volume from Backup

Excludes an EC2-attached EBS volume from being backed up by Eon.

You can cancel this action by calling Cancel Volume Backup Exclusion for the same volume.

Root volumes can’t be excluded.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"

ID of the project the resource is in. You can get your project ID from the API Credentials page in your global management console.

idstringRequiredformat: "uuid"

Eon-assigned ID of the EC2 instance the volume is attached to.

volumeIdstringRequired

AWS-assigned ID of the EBS volume to exclude from backup. The volume must be attached to the instance specified in id and must not be the root volume.

Response

Volume excluded from backup.
isExcludedboolean

Whether the resource is excluded from backup. Expected to be true.

Errors

400
Bad Request Error
404
Not Found Error